Estimate NKS Cluster Update Cost
PATCH/v1/nks/clusters/{cluster_id}/cost
Return a priced cost quote for the proposed NKS cluster update plus a diff against the current state.
Estimate NKS Cluster Update Cost
curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/cost \
-X PATCH \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
-d '{
"autoscaling": true,
"name": "my-cluster",
"tags": [
"production",
"ethereum"
]
}'{
"after": {
"monthly_total": "-69125",
"usage_dimensions": [
{
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
}
]
},
"before": {
"monthly_total": "-69125",
"usage_dimensions": [
{
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
}
]
},
"currency": "USD",
"diff": {
"monthly_total_delta": "-69125",
"usage_dimensions": [
{
"after": {
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
},
"before": {
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
},
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount_delta": "-69125"
}
]
},
"priced_at": "2025-01-01T00:00:00Z",
"current_summary": {
"daily_cost": "-69125",
"effective_balance": "-69125",
"monthly_cost": "-69125",
"recharge_threshold_fraction": "-69125",
"estimated_next_charge_at": "2025-01-01T00:00:00Z",
"runway_months": "-69125"
},
"updated_summary": {
"daily_cost": "-69125",
"effective_balance": "-69125",
"monthly_cost": "-69125",
"recharge_threshold_fraction": "-69125",
"estimated_next_charge_at": "2025-01-01T00:00:00Z",
"runway_months": "-69125"
}
}Returns Examples
{
"after": {
"monthly_total": "-69125",
"usage_dimensions": [
{
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
}
]
},
"before": {
"monthly_total": "-69125",
"usage_dimensions": [
{
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
}
]
},
"currency": "USD",
"diff": {
"monthly_total_delta": "-69125",
"usage_dimensions": [
{
"after": {
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
},
"before": {
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
},
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount_delta": "-69125"
}
]
},
"priced_at": "2025-01-01T00:00:00Z",
"current_summary": {
"daily_cost": "-69125",
"effective_balance": "-69125",
"monthly_cost": "-69125",
"recharge_threshold_fraction": "-69125",
"estimated_next_charge_at": "2025-01-01T00:00:00Z",
"runway_months": "-69125"
},
"updated_summary": {
"daily_cost": "-69125",
"effective_balance": "-69125",
"monthly_cost": "-69125",
"recharge_threshold_fraction": "-69125",
"estimated_next_charge_at": "2025-01-01T00:00:00Z",
"runway_months": "-69125"
}
}